
Redmine - Patch #28295

Show name changes in diff preview

2018-03-05 14:59 - Gregor Schmidt

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 4.0.0   

Description

When previewing uploaded diff/patch files, which contains renames, Redmine will always show the new file name in the diff preview.

This can be misleading, since it would not show that the old file was removed.

The attached patch keeps track of the previous file name and shows the additional information in the UI.
Please note, this patch was tested with/developed for git's patch files. Also, pure renames (without file modifications) will not be

visible -- just like they are today.

Associated revisions

Revision 17313 - 2018-04-27 11:14 - Go MAEDA

Show renames in diff preview (#28295).

Patch by Gregor Schmidt.

History

#1 - 2018-03-05 15:09 - Gregor Schmidt
#2 - 2018-03-14 02:42 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2018-03-28 09:32 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Nice improvement, setting target version to 4.1.0.

#4 - 2018-03-31 17:09 - Go MAEDA

- Status changed from New to Needs feedback

- Assignee set to Gregor Schmidt

The test RepositoriesGitControllerTest#test_diff_should_show_filenames fails on my environment. Would you look into this?

$ ruby test/functional/repositories_git_controller_test.rb

Run options: --seed 19867

# Running:

.......F

Failure:

RepositoriesGitControllerTest#test_diff_should_show_filenames [test/functional/repositories_git_controller_tes

t.rb:432]:

<sources/watchers_controller.rb> expected but was

<copied_README>..

Expected 0 to be >= 1.

/path/to/gems/ruby/2.3.0/gems/railties-5.1.4/lib/rails/test_unit/reporter.rb:70:in `method': undefined method 

`test_diff_should_show_filenames' for class `Minitest::Result' (NameError)
    from /path/to/gems/ruby/2.3.0/gems/railties-5.1.4/lib/rails/test_unit/reporter.rb:70:in `format_rerun_snip

pet'

 
Rails version             5.1.4

Ruby version              2.3.3-p222 (x86_64-darwin16)

RubyGems version          2.6.10

Rack version              2.0.4

#5 - 2018-04-25 10:18 - Gregor Schmidt

- File 0001-Show-renames-in-diff-preview.patch added

Thank you for taking a look. Unfortunately, I didn't set up the test repositories. That's why I didn't catch the test failure.

Attached you may find an updated patch. Now all tests seem to pass fine.

#6 - 2018-04-25 11:31 - Go MAEDA

- Status changed from Needs feedback to New

- Assignee deleted (Gregor Schmidt)

Gregor Schmidt wrote:

Attached you may find an updated patch. Now all tests seem to pass fine.

 Thanks, I confirmed that it passes all tests.

#7 - 2018-04-27 11:16 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed. Thank you for your contribution.

Files

0001-Show-renames-in-diff-preview.patch 4.35 KB 2018-03-05 Gregor Schmidt

Screen Shot 2018-03-05 at 14.48.00.png 8.04 KB 2018-03-05 Gregor Schmidt

0001-Show-renames-in-diff-preview.patch 4.51 KB 2018-04-25 Gregor Schmidt
